package com.sf.day07.getset;

/**
 * getter和setter方法
 */
public class Test01 {

    /**
     * 定义三个属性   name   id   age
     */

    private String name;   //张三
    private Integer id;
    private Integer age;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        //this  代表是当前对象    属性值    =   张三
        this.name = name;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    /**
     *  用private修饰的属性  在其他类不能直接进行赋值    但是可以通过  getter  和  setter 方法进行赋值
     * @return
     */



    @Override
    public String toString() {
        return "Student{" +
                "name='" + name + '\'' +
                ", id=" + id +
                ", age=" + age +
                '}';
    }
}
